%define contentdir /var/www/orbita

%define orbita_user	orbita
%define orbita_group	orbita

%{!?svn_rev:%define svn_rev 0}

%define debug_package %{nil}

Summary: OrbitaWeb - Nuclotron Beam Position Monitor (Orbita) web display programs
Name: bpm-web
Version: 1.3
Release: 1.%{svn_rev}%{?dist}
License: GPL
Group: System Environment/Base
URL: http://afi.jinr.ru/NucloBPM
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: fftw-devel >= 3.2.1
BuildRequires: qt5-qtbase-devel >= 5.6
BuildRequires: root-core >= 5

Obsoletes: orbitaweb

%description
OrbitaWeb - Nuclotron Beam Position Monitor (Orbita) web display programs

%prep
%setup -q

%build
make %{?_smp_mflags} svn_rev=%{svn_rev} qmake
make %{?_smp_mflags} svn_rev=%{svn_rev} -C src/bpm-web

%install
cd src/bpm-web
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}%{_prefix}

# scripts
mkdir -p %{buildroot}%{_initrddir}
install -m 0755 -p ../../scripts/etc/init.d/orbitaweb %{buildroot}%{_initrddir}/orbitaweb
mkdir -p %{buildroot}%{_sysconfdir}
install -m0755 -p ../../scripts/etc/orbitaweb.conf %{buildroot}%{_sysconfdir}/
install -m0755 -p ../../scripts/bin/bpmbeta_wrapper.sh %{buildroot}%{_bindir}/
install -m0755 -p ../../scripts/bin/bpmweb_wrapper.sh %{buildroot}%{_bindir}/
install -m0755 -p ../../scripts/bin/orbitaweb_wrapper.sh %{buildroot}%{_bindir}/
install -m0755 -p ../../scripts/bin/run_web.sh %{buildroot}%{_bindir}/
sed -i -e 's|@CONFIG_DIR@|%{_sysconfdir}|' %{buildroot}%{_bindir}/bpmbeta_wrapper.sh
sed -i -e 's|@CONFIG_DIR@|%{_sysconfdir}|' %{buildroot}%{_bindir}/bpmweb_wrapper.sh
sed -i -e 's|@CONFIG_DIR@|%{_sysconfdir}|' %{buildroot}%{_bindir}/orbitaweb_wrapper.sh

# web
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
cp -f ../../www/etc/httpd/conf.d/orbita.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/
mkdir -p %{buildroot}%{contentdir}
cp -rf ../../www/html/* %{buildroot}%{contentdir}/
cp -rf ../../www/html/.htaccess %{buildroot}%{contentdir}/

%pre
getent group %{orbita_group} > /dev/null || groupadd -r %{orbita_group}
getent passwd %{orbita_user} > /dev/null || \
    useradd -r -g %{orbita_group} \
    -c "Orbita System" %{orbita_user}
:

%post
if [ $1 -eq 1 ] ; then
    /sbin/chkconfig --add orbitaweb || :
fi

%preun
if [ "$1" = 0 ]
then
  /sbin/service orbitaweb stop >/dev/null 2>&1
  /sbin/chkconfig --del orbitaweb
fi
:

%postun

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ChangeLog COPYING README
%config(noreplace) %{_sysconfdir}/orbitaweb.conf
%config(noreplace) %{_sysconfdir}/httpd/conf.d/orbita.conf
%dir %{contentdir}
%config(noreplace) %{contentdir}/.htaccess
%{contentdir}/*
%dir %attr(0755,%{orbita_user},%{orbita_group}) %{contentdir}/img
%defattr(0755,root,root)
%{_bindir}/*
%{_initrddir}/orbitaweb

%changelog
* Tue Dec  9 2014  <ilja.slepnev@jinr.ru> - 1.3
- Static link Qwt

* Mon Sep 16 2013  <ilja.slepnev@jinr.ru> - 1.2
- Splitted readout and analysis

* Mon Dec 03 2012  <ilja.slepnev@jinr.ru> - 1.1
- Initial build

